Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162428 - internal compiler error: in define__GNUC__, at c-cppbuiltin.c:314
Summary: internal compiler error: in define__GNUC__, at c-cppbuiltin.c:314
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 3
Hardware: sparc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 14:14 UTC by Dominik Mierzejewski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 14:37:27 UTC


Attachments (Terms of Use)
Full rpmbuild build.log (deleted)
2005-07-04 14:16 UTC, Dominik Mierzejewski
no flags Details

Description Dominik Mierzejewski 2005-07-04 14:14:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
When trying to build the latest gcc version from Fedora Core 3 Updates, gcc fails to build itself (in /make bootstrap-lean/) and bails out with

<built-in>:1: internal compiler error: in define__GNUC__, at c-cppbuiltin.c:314

The command I'm using is:
sparc32 rpmbuild --rebuild gcc-3.4.3-22.fc3.src.rpm
Log attached.

Version-Release number of selected component (if applicable):
gcc-3.4.2-6.fc3.sparc

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild gcc-3.4.3-22.fc3.src.rpm
2. 
3.
  

Actual Results:  Build doesn't complete. GCC bails out with an ICE.

Expected Results:  Build should produce a new working gcc RPM.

Additional info:

Hardware:
Sun Ultra10, 440MHz UltraSparc IIi (Sabre), 256MB RAM
OS:
AuroraLinux 2.0 (Kashmir FC3)

Last few lines of build.log:
[...]
mkinstalldirs='/bin/sh ../../gcc/mkinstalldirs' \
  /bin/sh mklibgcc > tmp-libgcc.mk
mv tmp-libgcc.mk libgcc.mk
TARGET_CPU_DEFAULT="" \
HEADERS="ansidecl.h" DEFINES="" \
/bin/sh ../../gcc/mkconfig.sh tconfig.h
./xgcc -B./ -B/usr/sparc64-redhat-linux/bin/ -isystem /usr/sparc64-redhat-linux/include -isystem /usr/sparc64-redhat-linux/sys-include -L/home/staff/rathann/build/BUILD/gcc-3.4.3-20050228/obj-sparc64-redhat-linux/gcc/../ld -O2 -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/../include   -g0 -finhibit-size-directive -fno-inline-functions -fno-exceptions -fno-zero-initialized-in-bss -fno-unit-at-a-time `if test x$( ./xgcc -B./ -B/usr/sparc64-redhat-linux/bin/ -isystem /usr/sparc64-redhat-linux/include -isystem /usr/sparc64-redhat-linux/sys-include -L/home/staff/rathann/build/BUILD/gcc-3.4.3-20050228/obj-sparc64-redhat-linux/gcc/../ld  -print-multi-os-directory) = x../lib64; then echo -mcmodel=medany; fi` \
   -c ../../gcc/crtstuff.c -DCRT_BEGIN \
  -o crtbegin.o
<built-in>:1: internal compiler error: in define__GNUC__, at c-cppbuiltin.c:314
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[2]: *** [crtbegin.o] Error 1
make[2]: Leaving directory `/var/local/rathann/build/BUILD/gcc-3.4.3-20050228/obj-sparc64-redhat-linux/gcc'
make[1]: *** [stage1_build] Error 2
make[1]: Leaving directory `/var/local/rathann/build/BUILD/gcc-3.4.3-20050228/obj-sparc64-redhat-linux/gcc'
make: *** [bootstrap-lean] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.29993 (%build)

Comment 1 Dominik Mierzejewski 2005-07-04 14:16:15 UTC
Created attachment 116329 [details]
Full rpmbuild build.log

This is the result of:
sparc32 rpmbuild -bb gcc34.spec 2>&1 | tee build.log

Comment 2 Jakub Jelinek 2005-07-04 14:37:27 UTC
You can't put non-digits other than dot into gcc's %{release}.
Or alternatively you must ensure it doesn't make its way into version.c.

Comment 3 Dominik Mierzejewski 2005-07-05 14:20:41 UTC
Indeed, that fixes it. Still, the error message is very uninformative. Thanks.


Note You need to log in before you can comment on or make changes to this bug.